...
 
Commits (4)
gnome-weather (3.31.90-2) experimental; urgency=medium
* Fix Debian build by adding a Build-Depends on geoclue-2.0
* Restore --libdir override
* Bump Standards-Version to 4.3.0
-- Jeremy Bicha <jbicha@debian.org> Sat, 09 Feb 2019 13:20:10 -0500
gnome-weather (3.31.90-1) experimental; urgency=medium
* New upstream development release
......
......@@ -10,6 +10,7 @@ Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: debhelper-compat (= 12),
desktop-file-utils <!nocheck>,
dh-sequence-gnome,
geoclue-2.0,
itstool,
meson (>= 0.46.0),
pkg-config (>= 0.22),
......@@ -22,7 +23,7 @@ Build-Depends: debhelper-compat (= 12),
libgdk-pixbuf2.0-dev,
libgweather-3-dev (>= 3.28.0),
libxml2-utils
Standards-Version: 4.2.1
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-weather
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-weather.git
Homepage: https://wiki.gnome.org/Apps/Weather
......
......@@ -6,6 +6,7 @@ Uploaders: @GNOME_TEAM@
Build-Depends: debhelper-compat (= 12),
desktop-file-utils <!nocheck>,
dh-sequence-gnome,
geoclue-2.0,
itstool,
meson (>= 0.46.0),
pkg-config (>= 0.22),
......@@ -18,7 +19,7 @@ Build-Depends: debhelper-compat (= 12),
libgdk-pixbuf2.0-dev,
libgweather-3-dev (>= 3.28.0),
libxml2-utils
Standards-Version: 4.2.1
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-weather
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-weather.git
Homepage: https://wiki.gnome.org/Apps/Weather
......
......@@ -6,6 +6,10 @@ export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed
%:
dh $@
# https://gitlab.gnome.org/GNOME/gjs/issues/214
override_dh_auto_configure:
dh_auto_configure -- --libdir=/usr/lib
# python3-dogtail isn't in Debian yet
override_dh_auto_test:
-dh_auto_test